<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: RIF_switch_reactive</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RIF_switch_reactive<div class="ingroups"><a class="el" href="group__input__flags__main.html">Input Flag Documentation</a> &raquo; <a class="el" href="group__arts.html">Incompressible Solver arts</a><a class="el" href="group__input__flags__main.html">Input Flag Documentation</a> &raquo;  &#124; <a class="el" href="group__arts__cf.html">Compressible Solver arts_cf</a><a class="el" href="group__input__flags__main.html">Input Flag Documentation</a> &raquo;  &#124; <a class="el" href="group__arts__cf__md.html">Compressible Multi-Domain Solver arts_cf_md</a> &raquo; <a class="el" href="group__solver__flags__general.html">1) General Flow Solver Flags</a> &raquo; <a class="el" href="group__physical__models.html">5) Physical Models</a> &raquo; <a class="el" href="group__chemistry.html">2) Chemistry</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for RIF_switch_reactive:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<center><table><tr><td><img src="group__RIF__switch__reactive.png" border="0" alt="" usemap="#group____RIF____switch____reactive"/>
<map name="group____RIF____switch____reactive" id="group____RIF____switch____reactive">
<area shape="rect" id="node1" href="group__chemistry.html" title="2) Chemistry" alt="" coords="5,5,103,32"/>
</map>
</td></tr></table></center>
</div>
<p><b> RIF switch reactive :</b> &lt;switch&gt; (string) <br />
Sets the condition from which onwards the RIF model is set to reactive. <br />
</p><ul>
<li><b> SIM-START</b> <br />
RIF reactive from simulation start. Not fully implemented yet!</li>
<li><b> MIXTURE</b> <br />
RIF reactive when set mixture fraction is reached. Not fully implemented yet!</li>
<li><b> CHI</b> <br />
RIF reactive once chi is decreasing. Not fully implemented yet!</li>
<li><b> TIME</b> <br />
RIF reactive after user-specified time</li>
</ul>
<p><code>Example: <em> RIF switch reactive : TIME </em></code> </p>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
